<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_vars.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>actionOnClick&#160;:&#160;<a class="el" href="struct_contextual_menu_entries.html#a11169226aa9e5bdab40aed27547c5b55">ContextualMenuEntries</a></li>
<li>base64Screenshot&#160;:&#160;<a class="el" href="class_project_json_wrapper.html#ac31af60e03bc95318702b596a0f7608e">ProjectJsonWrapper</a></li>
<li>contextualMainMenuEntries&#160;:&#160;<a class="el" href="class_menu.html#a7610d77b7d1bc88ccb686a7b63693d2b">Menu</a></li>
<li>contextualMenuEntries&#160;:&#160;<a class="el" href="class_situations_list.html#a40fcd839d21eff26bf1081acb1738ed6">SituationsList</a></li>
<li>contextualProjectMenuEntries&#160;:&#160;<a class="el" href="class_menu.html#a1e79155195f9e4a6edfb484c9e6df5e5">Menu</a></li>
<li>CurrentSituationIndex&#160;:&#160;<a class="el" href="class_vivian_u_i.html#aa3311e212e762b835c98bb59a14e150e">VivianUI</a></li>
<li>currentUI&#160;:&#160;<a class="el" href="struct_inspector_specs_u_i.html#a170b66d23cdd6f4ef408189e0f0b9600">InspectorSpecsUI</a></li>
<li>ElementPicker&#160;:&#160;<a class="el" href="class_vivian_components_1_1_vivian_component.html#a162f83377d226f39648d0d40448d7c5c">VivianComponents.VivianComponent</a></li>
<li>elementType&#160;:&#160;<a class="el" href="struct_inspector_specs_u_i.html#a07b468a07f1357086740462fb5a3c2d0">InspectorSpecsUI</a></li>
<li>ElementType&#160;:&#160;<a class="el" href="class_vivian_components_1_1_vivian_component.html#a4adf52aeab9653e283fe370d0dbbcf43">VivianComponents.VivianComponent</a></li>
<li>elementUIList&#160;:&#160;<a class="el" href="struct_inspector_specs_u_i.html#a4652203f0bb11fb6a845cb21492ba1ed">InspectorSpecsUI</a></li>
<li>icon&#160;:&#160;<a class="el" href="struct_contextual_menu_entries.html#a5b2c1671f28eedcd52e18769499fe397">ContextualMenuEntries</a></li>
<li>Instance&#160;:&#160;<a class="el" href="class_vivian_u_i.html#ae58db1e3bd768e1040c11cf6f0212bff">VivianUI</a></li>
<li>lastEdit&#160;:&#160;<a class="el" href="class_project_json_wrapper.html#ac421b6292c55c7ea347ba08ae619a3f9">ProjectJsonWrapper</a></li>
<li>listSpecs&#160;:&#160;<a class="el" href="class_element_picker.html#adb1b8e63a78453c3fba3eb27b4eabf4e">ElementPicker</a></li>
<li>mainText&#160;:&#160;<a class="el" href="class_element_picker.html#abdb433913ce16ff3ae297b0340a186df">ElementPicker</a></li>
<li>modelPaths&#160;:&#160;<a class="el" href="class_project_json_wrapper.html#a7657892dd739ad2cb3acb88035f7b6a1">ProjectJsonWrapper</a></li>
<li>projectName&#160;:&#160;<a class="el" href="class_project_json_wrapper.html#a17d7ec306d7f75ce6753437a936ea014">ProjectJsonWrapper</a></li>
<li>projectPath&#160;:&#160;<a class="el" href="class_project_json_wrapper.html#aabc5b743c75433b187fbd56c07876f78">ProjectJsonWrapper</a></li>
<li>projects&#160;:&#160;<a class="el" href="class_projects_json_wrapper.html#a0e0eab984f105f45701fe79be0eae671">ProjectsJsonWrapper</a></li>
<li>projectSubdir&#160;:&#160;<a class="el" href="class_project_json_wrapper.html#aa4a7d2f41ab7f87055ff0d7fa8ec9dee">ProjectJsonWrapper</a></li>
<li>SpecsUI&#160;:&#160;<a class="el" href="class_element_picker.html#afe6090ae3f7a7cf71ac0b5d2f18e2858">ElementPicker</a></li>
<li>specsUI&#160;:&#160;<a class="el" href="class_project_json_wrapper.html#a1f43ce7470b8ef508c2d66736e8479e9">ProjectJsonWrapper</a></li>
<li>text&#160;:&#160;<a class="el" href="struct_contextual_menu_entries.html#aea82565605ef31e33c3dbb13a4114487">ContextualMenuEntries</a></li>
<li>UIDocument&#160;:&#160;<a class="el" href="class_modal.html#ab4bceeb1281088f69e8a37fd215c4424">Modal</a></li>
<li>XRUIModal&#160;:&#160;<a class="el" href="class_modal.html#af7c723d763c2ad019587da60a8bead6b">Modal</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
